Name:           python-pygdbmi
Version:        0.11.0.0
Release:        %mkrel 2
Summary:        Get Structured Output from GDB's Machine Interface
License:        MIT
Group:          Development/Python
URL:            https://github.com/cs01/pygdbmi
Source0:        %{url}/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)
BuildRequires:  gdb

%description
GDB/MI is a line based machine oriented
text interface to GDB and is activated by
specifying using the --interpreter command
line option (see Mode Options). It is
specifically intended to support the development
of systems which use the debugger as just one
small component of a larger system.


%package -n python3-pygdbmi
Summary:        Get Structured Output from GDB's Machine Interface
Group:          Development/Python

%description -n python3-pygdbmi
GDB/MI is a line based machine oriented
text interface to GDB and is activated by
specifying using the --interpreter command
line option (see Mode Options). It is
specifically intended to support the development
of systems which use the debugger as just one
small component of a larger system.


%prep
%autosetup -n pygdbmi-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pygdbmi

%check
%pytest

%files -n python3-pygdbmi -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sat Mar 01 2025 wally <wally> 0.11.0.0-2.mga10
+ Revision: 2155575
- rebuild for python3.13

* Tue Jan 02 2024 daviddavid <daviddavid> 0.11.0.0-1.mga10
+ Revision: 2026346
- initial package python-pygdbmi

